<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::Ex_LogCantBeWrite Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write.html">Ex_LogCantBeWrite</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::Ex_LogCantBeWrite Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This exception is intended to be rise when the the logs can be written in the specified file The reason can be : The folder for the file didn't exist; the file is used by another program; etc.  
 <a href="class_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_log_cant_be_write_8hpp_source.html">LogCantBeWrite.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for He_Arc::RPG::Ex_LogCantBeWrite:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a07b68eedd2cbd51c44e55f4d5d0b7809"><td class="memItemLeft" align="right" valign="top"><a id="a07b68eedd2cbd51c44e55f4d5d0b7809"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Ex_LogCantBeWrite</b> (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">Log</a> *unwrittenLog, string msg=&quot;The log can't be write&quot;) noexcept</td></tr>
<tr class="separator:a07b68eedd2cbd51c44e55f4d5d0b7809"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6954039629a94827b33814649acb66c"><td class="memItemLeft" align="right" valign="top"><a id="ad6954039629a94827b33814649acb66c"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>what</b> () const noexcept override</td></tr>
<tr class="separator:ad6954039629a94827b33814649acb66c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This exception is intended to be rise when the the logs can be written in the specified file The reason can be : The folder for the file didn't exist; the file is used by another program; etc. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>cpp_filrouge_iscj_allemann/include/Exception/<a class="el" href="_log_cant_be_write_8hpp_source.html">LogCantBeWrite.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
